=== debian/control ===
Source: ubuntu-core-security
Section: admin
X-Python3-Version: >= 3.2
Priority: optional
Maintainer: Ubuntu Security <security@ubuntu.com>
Build-Depends: debhelper (>= 9),
 python3,
 apparmor-easyprof,
 apparmor,
 python3-yaml
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Vcs-Bzr: https://code.launchpad.net/~ubuntu-security/ubuntu-core-security/trunk
Vcs-Browser: https://code.launchpad.net/~ubuntu-security/ubuntu-core-security/trunk

Package: ubuntu-core-security-apparmor
Architecture: all
Depends: ${misc:Depends}, apparmor (>= 2.8.98-0ubuntu2~)
Conflicts: apparmor-easyprof-ubuntu-snappy
Replaces: apparmor-easyprof-ubuntu-snappy
Provides: apparmor-easyprof-ubuntu-snappy
Description: AppArmor easyprof templates for Ubuntu Core
 Provides AppArmor easyprof templates and policygroups suitable for use with
 the Ubuntu Core app ecosystem.

Package: ubuntu-core-security-seccomp
Architecture: all
Depends: ${misc:Depends}
Description: Seccomp templates for Ubuntu Core
 Provides seccomp templates and policygroups suitable for use with the Ubuntu
 Core app ecosystem.

Package: ubuntu-core-security-utils
Architecture: i386 amd64 armhf
Depends: ${python3:Depends},
 ${misc:Depends},
 apparmor-easyprof,
 python3-yaml,
 seccomp [amd64 armhf i386]
Description: Security utilities for Ubuntu Core
 Provides convenience security utilities and sc-filtergen for Ubuntu Core.
