=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=python3

override_dh_auto_test:
	./tests/test-missing.sh
	./tests/test-apparmor.py
	./tests/test-seccomp.py
