## ubuntu-core-security 15.10.17

=== debian/changelog ===
ubuntu-core-security (15.10.17) wily; urgency=medium

  * ubuntu-core/default: also allow gzip (we already allow xz and bzip2)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 05 Oct 2015 09:06:48 -0500

ubuntu-core-security (15.10.16) wily; urgency=medium

  * Build ubuntu-core-security-utils everywhere.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Oct 2015 21:53:48 +0200

ubuntu-core-security (15.10.15) wily; urgency=medium

  * ubuntu-core/unconfined: - use 'ix' instead of 'pix' with unconfined
    template
  * ubuntu-core/default:
    - allow access to user and group information since non-networking snaps
      may have legitimate use for them
    - add a few accesses for bash
  * add snappy-debug/snappy-security-scanlog
  * move snappy-security to snappy-debug since it will be shipped in a
    separate snap now
  * snappy-debug/snappy-security:
    - update to use snappy-security-scanlog
    - add 'reload' option to reload apparmor policy (in lieu of
      apparmor_parser)
    - add 'regenerate' option to regenerate apparmor policy (in lieu of
      aa-clickhook and aa-profile-hook)
    - add 'disable-rate-limiting' to run 'sysctl -w kernel.printk_ratelimit=0'

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 02 Oct 2015 09:57:59 -0500

ubuntu-core-security (15.10.14) wily; urgency=medium

  * update templates to give a better description
  * ubuntu-core/default:
    - actually explicitly deny mknod in apparmor policy like we say we do
      (mknod currently doesn't work for other reasons so this is safe)
    - allow connect and socket so 'ls -l' can work in the default template
  * ubuntu-core/network-service: explicitly deny 'network netlink dgram' to
    silence a java denial. Once fine-grained netlink mediation is available,
    we can revisit this. See LP: 1499897 for details.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 25 Sep 2015 18:15:38 -0500

ubuntu-core-security (15.10.13) wily; urgency=medium

  * update autopkgtests for new policy groups

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 21 Sep 2015 17:23:42 -0500

ubuntu-core-security (15.10.12) wily; urgency=medium

  * add restricted network-admin policy group
  * ubuntu-core/default:
    - allow reading unversioned package dirs in $HOME
    - suppress noisy write denials to .pyc files in the install dir
      (LP: #1496892). This might be able to be removed when LP: 1496895 is
      fixed.
  * ubuntu-core/default: handle miscellaneous java accesses (LP: #1496895)
    - read to @PROC/@{pid}/ and @PROC/@{pid}/fd/
    - owner read to owner @PROC/@{pid}/auxv
    - reads to @PROC/@{pid}/version_signature, @PROC/@{pid}/version,
      /etc/lsb-release
    - read to @PROC/sys/vm/zone_reclaim_mode
    - read to /sys/devices/**/read_ahead_kb and /sys/devices/system/cpu/**
    - read to /sys/kernel/mm/transparent_hugepage/enabled and
      /sys/kernel/mm/transparent_hugepage/defrag
    - explicit deny to @{PROC}/@{pid}/cmdline. This seems to be ok for now,
      but if it breaks things, allow with owner match (an info leak) until we
      have kernel side pid variable in AppArmor
    - allow reads on /etc/{,writable/}localtime and /etc/{,writable/}timezone
  * add restricted snapd policy group
  * add restricted network-firewall policy group
  * add restricted network-status policy group
  * bin/snappy-security: use 'Caps' instead of 'Policy groups' in output
  * ubuntu/network-service: reluctantly allow access to /proc/*/net/if_inet6
    and /proc/*/net/ipv6_route until we can find a better way (LP: #1496906)
  * add test-format.sh to make sure we have properly formatted policy
  * debian/rules: use test-format.sh
  * ubuntu/unconfined: use 'Usage: reserved' not 'restricted' since
    'restricted' is not a valid 'Usage' value

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 21 Sep 2015 16:30:32 -0500

ubuntu-core-security (15.10.11) wily; urgency=medium

  * ubuntu-core/default: allow reads on directories in /sys/devices and
    /sys/class to ease using hw-assign

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 08 Sep 2015 15:27:25 -0500

ubuntu-core-security (15.10.10) wily; urgency=medium

  * ubuntu-core/default: deny noisy writes to system __pycache__ directory

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 27 Aug 2015 08:13:15 -0500

ubuntu-core-security (15.10.9) wily; urgency=medium

  * ubuntu-core/default, ubuntu-core/network-service: move socketpair from
    network-service policy group to default template since on Linux socketpair
    only supports AF_UNIX (LP: #1470995)
  * ubuntu-core/default: allow ixr of openssl (LP: #1480366)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 31 Jul 2015 15:35:43 -0500

ubuntu-core-security (15.10.8) wily; urgency=medium

  * debian/control: complete fix for seccomp is now supported on arm64

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 13 Jul 2015 09:05:25 -0500

ubuntu-core-security (15.10.7) wily; urgency=medium

  * debian/control: seccomp is now supported on arm64

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 13 Jul 2015 08:41:32 -0500

ubuntu-core-security (15.10.6) wily; urgency=medium

  [ John Lenton ]
  * sc-logresolve:
    - show usage if -h or --help is given
    - drop spurious cat
    - use '--' to avoid grep treating logfile as an option

  [ Jamie Strandboge ]
  * add pivot_root to unconfined template
  * debian/ubuntu-core-security-apparmor.post{inst,rm}: use the correct
    package name
  * apparmor/default:
    - allow apps from the same package to communicate with each other via an
      abstract or anonymous socket
    - allow apps from the same package to signal each other via signals

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 10 Jul 2015 16:47:49 -0500

ubuntu-core-security (15.10.5) wily; urgency=medium

  * bin/snappy-security:
    - add -i option for more info
    - 'better' detect if running on actual snappy system

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 10 Jun 2015 17:32:25 -0500

ubuntu-core-security (15.10.4) wily; urgency=low


