=== debian/control ===
--- 
+++ 
@@ -31,11 +31,11 @@
  Core app ecosystem.
 
 Package: ubuntu-core-security-utils
-Architecture: i386 amd64 armhf
+Architecture: linux-any
 Depends: ${python3:Depends},
  ${misc:Depends},
  apparmor-easyprof,
  python3-yaml,
- seccomp [amd64 armhf i386]
+ seccomp
 Description: Security utilities for Ubuntu Core
  Provides convenience security utilities and sc-filtergen for Ubuntu Core.
