=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,6 @@
 
 override_dh_auto_test:
 	./tests/test-missing.sh
+	./tests/test-format.sh
 	./tests/test-apparmor.py
 	./tests/test-seccomp.py
