## ubuntu-core-security 16.04.15.1

=== debian/changelog ===
ubuntu-core-security (16.04.15.1) xenial; urgency=medium

  * ubuntu/default: adjust seccomp to allow setuid family of syscalls since
    the launcher is now dropping privs after seccomp_load()

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 21 Mar 2016 09:19:12 -0500

ubuntu-core-security (16.04.15) xenial; urgency=medium

  * ubuntu/default:
    - add read access to @{PROC}/@{pid}/statm
    - use @{pid} instead of [0-9]* for @{PROC}/@{pid}/stat

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 10 Feb 2016 09:31:55 -0600

ubuntu-core-security (16.04.14) xenial; urgency=medium

  * ubuntu-core/system-monitor: clarify ptrace (trace) comments
  * temporarily add a few more rules to display-server:
    - capabilities: dac_override, dac_read_search, and sys_tty_config
    - 'network netlink raw' to display-server
  * fix missing comma in unix rule for ubuntu-core/mir-client
  * add tests/aa.features and use it when /etc/apparmor.d/cache/.features is
    not present, such as on a buildd. This prevents the parser from falling
    back to only old rules.

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 19 Jan 2016 14:32:55 -0600

ubuntu-core-security (16.04.13) xenial; urgency=medium

  * add ubuntu-core/system-monitor reserved policy group
  * ubuntu/network-service: allow read on hosts.deny and hosts.allow

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Jan 2016 17:43:03 -0600

ubuntu-core-security (16.04.12) xenial; urgency=medium

  [ Jamie Strandboge ]
  * ubuntu-core/display-server: add sys_admin since it is needed to work with
    graphics drivers
  * ubuntu/default:
    - add read access to /etc/libnl-3/{classid,pktloc} for apps that use libnl
    - add read access to @{PROC}/@{pid}/status

  [ Michael Vogt ]
  * ubuntu/default: add /var/lib/snaps and $HOME/snaps. A future upload will
    remove /var/lib/apps and $HOME/apps once the migration is complete

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 11 Jan 2016 14:02:54 -0600

ubuntu-core-security (16.04.11) xenial; urgency=medium

  * update autopkgtests for mir-client

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 06 Jan 2016 08:43:06 -0600

ubuntu-core-security (16.04.10) xenial; urgency=medium

  * ubuntu-core/display-server:
    - sync with kgunn's work
    - remove seccomp calls that overlap with unix-listener
  * add ubuntu-core/16.04/mir-client
  * ubuntu-core/default: adjust to use INSTALL_DIR instead of CLICK_DIR

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 05 Jan 2016 15:04:01 -0600

ubuntu-core-security (16.04.9) xenial; urgency=medium

  * update autopkgtests for removed policy and don't depend on
    apparmor-easyprof
  * debian/control:
    - remove no longer needed conflicts/provides/replaces
    - rephrase description to not reference easyprof since snappy doesn't use
      it any more
    - removed unneeded dependency on python3-yaml

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 17 Dec 2015 08:19:27 -0600

ubuntu-core-security (16.04.8) xenial; urgency=medium

  * ubuntu/default:
    - add timerfd and new mbarrier syscall
    - allow ixr on tset
    - remove explicit apparmor denials for ptrace, mount and mknod since
      others caps may add them (eg, container-management)
    - add a few rules that aren't information leak to ease hardware assignment
      policy
  * debian/README.seccomp: update for 4.3 syscalls
  * remove 15.04 and 15.10 policy
  * ubuntu/network-client:
    - don't explicitly deny network-manager in ubuntu-core policy. This made
      sense on Touch where everything was noisy, but network-manager only
      exists as a snap on core.
    - remove accept, accept4, listen and bind (must use either unix-listener
      or network-listener instead)
  * add the identified new caps for 16.04
  * rename network-admin to network-management
  * rename network-firewall to firewall-management
  * rename network-status to network-monitor
  * rename network-service to network-listener
  * rename snapd to snap-management
  * add compatibility symlinks for renamed caps (this will be removed for
    16.04 release)
  * ubuntu/network-listener: update comment for socket()

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 16 Dec 2015 16:46:59 -0600

ubuntu-core-security (16.04.7) xenial; urgency=medium

  * ubuntu/default: allow owner match on @{HOME} instead of @{HOMEDIRS}/*/
    to allow root access to SNAP_APP_USER_DATA_PATH when it is set to
    '/root/apps/...' (LP: #1466234)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 01 Dec 2015 13:43:20 -0600

ubuntu-core-security (16.04.6) xenial; urgency=medium

  * ubuntu/default: allow less, lessfile, lesspipe and more

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 01 Dec 2015 09:20:43 -0600

ubuntu-core-security (16.04.5) xenial; urgency=medium

  * snappy now generates policy with 'snappy policygen' so update this package
    accordingly:
    - remove sc-filtergen, tests and docs
    - debian/control: only depends on seccomp (to pull in scmp_sys_resolver)
    - remove ubuntu-core-security-apparmor.postinst
    - remove ubuntu-core-security-utils.dirs
    - remove ubuntu-core-security-utils.manpages
    - debian/rules: adjust to not run (now non-existent) seccomp tests
  * adjust sc-logresolve to point to the more user friendly snappy-debug

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 19 Nov 2015 09:53:07 -0600

ubuntu-core-security (16.04.4) xenial; urgency=medium

  * ubuntu/network-firewall: allow reading sysctl and writing out some
    firewall related items

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 18 Nov 2015 15:31:42 -0600

ubuntu-core-security (16.04.3) xenial; urgency=medium

  * default/template: allow capset (AppArmor mediates capabilities so this is
    ok)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 10 Nov 2015 14:04:47 -0600

ubuntu-core-security (16.04.2) xenial; urgency=medium

  * ubuntu-core/snapd: use /run/snapd.socket instead of abstract socket

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 29 Oct 2015 10:15:47 -0500


