=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,3 @@
 	./tests/test-missing.sh
 	./tests/test-format.sh
 	./tests/test-apparmor.py
-	./tests/test-seccomp.py
